package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfPrUtilizationhours对象 wf_pr_utilizationhours
 *
 * @author hlf
 * @date 2022-11-09
 */
public class WfPrUtilizationhours extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long projectNo;

    private Date dataTime;

    private Double hourCount;

    private Long dataFlag;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setHourCount(Double hourCount) {
        this.hourCount = hourCount;
    }

    public Double getHourCount() {
        return hourCount;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("windplantNo", getWindplantNo()).append("projectNo", getProjectNo()).append("dataTime", getDataTime()).append("hourCount", getHourCount()).append("dataFlag", getDataFlag()).toString();
    }
}
